Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/collecting/admincollectingmediabackfillimages

# Backfill media poster images

POST `https://api.rewind.rest/v1/admin/collecting/media/backfill-images`

Process poster images for movies in the physical media collection that are missing image metadata.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Body

#### limit (body, number)

## Response

#### 200

Backfill results

#### success (boolean, required)

#### results (object)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X POST 'https://api.rewind.rest/v1/admin/collecting/media/backfill-images' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{"limit": 0}'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/admin/collecting/media/backfill-images', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"limit": 0}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://api.rewind.rest/v1/admin/collecting/media/backfill-images',
    headers={'Authorization': 'Bearer <token>'},
    json={"limit": 0}
)
data = res.json()
```

#### Response

```json 200
{
  "success": true,
  "results": {}
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
